%global pypi_name hangups

Name:           python-%{pypi_name}
Version:        0.4.11
Release:        1%{?dist}
Summary:        Python instant messaging client for Hangouts

License:        MIT
URL:            https://github.com/tdryer/hangups
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(appdirs)
BuildRequires:  python3dist(async-timeout)
BuildRequires:  python3dist(configargparse)
BuildRequires:  python3dist(mechanicalsoup)
BuildRequires:  python3dist(protobuf)
BuildRequires:  python3dist(readlike)
BuildRequires:  python3dist(reparser)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(urwid)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(httpretty)
%description
hangups is a instant messaging client for Hangouts. It includes both a Python
library and a reference client with a text-based user interface.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
hangups is a instant messaging client for Hangouts. It includes both a Python
library and a reference client with a text-based user interface.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -v hangups/test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/hangups
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Sep 18 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.11-1
- Initial package for Fedora
